Random letters
Most popular
Newest
Latest
Dear Kyle, How are you? How is school? Are you dating anyone? Have you graduated? Is Tylor in the Army yet? I hope you are doing good and hope you have a even better life later in your life.

Read full letter

Ką tik pasikalbėjusi su tavim telefonu ir padėjusi ragelį supratau, koks esi man svarbus. Kasdien laukiu to prakeikto mobiliojo skambučio, tikėdamasi, kad raudona elektroninio pašto...

Read full letter

I want to be an engineer,i want to get good grades in all the subject i want to read more than 20 books

Read full letter

Labas, Simai, Čia Tau rašo Lina iš praeities {{{{: Dabar yra 2012-12-04 diena, Tu geri braškių arbatą ir žaidi savo paauglišką šaudynių žaidimą, o Henrikas guli skalbinių dėžėje...

Read full letter

wesp333 100% funny websites.

Read full letter

 
Back
 
 
Next
 
Phrase of the day
 
Create a promise
 
Write a letter